Author Topic: Bug in virtuemart product types  (Read 4885 times)

XFaktor

  • Beginner
  • *
  • Posts: 19
Bug in virtuemart product types
« on: November 26, 2010, 17:22:53 pm »
Clean virtuemart 1.1.5 , joomla 1.5.22 found these problems.


1.Incorrect representation :
 
file : product_type.tpl.php
line : 54 - 55
bug : is $product_type_params["unit"] should be $product_type_params["parameter_unit"]
explanation : does not display parameter units


2.HTML error :

file : product_type.tpl.php
line : 45
bug: is ?><tr class="<?php echo $bgcolor;?> height="18"> should be ?><tr class="<?php echo $bgcolor;?>" height="18">
explanation: forgot "


3. html, php error
file:ps_product.php
line:1430
bug :
return vmCommonHTML::imageTag( $url, '', '', $height, $width, '', '', $args.' '.$border );
returns html error <img src="..../image.gif"00 class=.... (these 00)
tryed change into $height.'px' than prints good but image height and width for me always 0 , so cant see images)

quick fix 1 : return vmCommonHTML::imageTag( $url, '', '', '', '', '', '', $args.' '.$border );
by that you wont get image resized so you can only chage its parameter by css

more reliable quick fix 2 :
above that line
if(($height == null || $height == 0) || ($width == 0 || $width == null)) {
$height = ''; width = '';
}
return vmCommonHTML::imageTag( $url, '', '', $height, $width, '', '', $args.' '.$border );


final fix : should be tested and corrected all that function.

4. mootools
file : mootools.js or virtuemart mootools calling

bug : When joomla's core plugin -> mootools update enabled in virtuemart browse page or flypage I am getting these errrors (3-4 same errors)

MooTools.upgradeLog is not a function
[Break on this error] var MooTools={version:"1.2.4",build:"0..."::")[1]);b.set("title","")}})}})})();
mootools.js (line 1)

is virtuemart 1.1.5 comatable with mootools 1.2 ? If no this is not a bug but feature request. If it should be please post how to correct it :)

XFaktor

  • Beginner
  • *
  • Posts: 19
Re: Bug in virtuemart product types
« Reply #1 on: November 28, 2010, 23:05:43 pm »
1 and 3 you fixed in 1.1.6 version
but 2 and 4 still there

XFaktor

  • Beginner
  • *
  • Posts: 19
Re: Bug in virtuemart product types
« Reply #2 on: November 28, 2010, 23:16:03 pm »
wrong forum. sorry.

But how i can see you dont have a forum for bug reports on 1.1.x

zanardi

  • Contributing Developer
  • Full Member
  • *
  • Posts: 878
    • GiBiLogic
Re: Bug in virtuemart product types
« Reply #3 on: November 29, 2010, 22:52:55 pm »
@XFaktor:
no, i don't think this is the wrong forum. That's ok.
VirtueMart 1.1.6 is not compatible with MooTools 1.2, that is a known issue. I think it will be fixed in VirtueMart 1.5.x, already in BETA phase.
About 2. i will have a look at that for 1.1.7.
Thank you for bug reporting!
--
Francesco (zanardi)
http://extensions.gibilogic.com
@gibilogic on Twitter

aravot

  • Peter
  • Moderator
  • Sr. Member
  • *
  • Posts: 2874
    • VirtueMart Extensions
Re: Bug in virtuemart product types
« Reply #4 on: January 30, 2011, 07:43:59 am »
4. mootools
file : mootools.js or virtuemart mootools calling

bug : When joomla's core plugin -> mootools update enabled in virtuemart browse page or flypage I am getting these errrors (3-4 same errors)

MooTools.upgradeLog is not a function
[Break on this error] var MooTools={version:"1.2.4",build:"0..."::")[1]);b.set("title","")}})}})})();
mootools.js (line 1)

@XFaktor, we are working on mootools 1.2 compatibility could you please tell me where you get this error.

koabyPRO

  • Beginner
  • *
  • Posts: 2
Re: Bug in virtuemart product types
« Reply #5 on: February 23, 2011, 20:34:06 pm »
Clean install Virtuemart 1.17 Rockettheme Hybrid same error; MooTools.upgradeLog is not a function
[Break On This Error] var MooTools={version:"1.2.5",build:"0...)[1]);b.set("title","");}});}});})();

aravot

  • Peter
  • Moderator
  • Sr. Member
  • *
  • Posts: 2874
    • VirtueMart Extensions
Re: Bug in virtuemart product types
« Reply #6 on: February 23, 2011, 20:50:12 pm »
Did you read the above posts? Virtuemart 1.1.7 is not compatible with mootools 1.2